#include <bits/stdc++.h>

using namespace std;

vector <int> v;

int main()
{
    int n,x,a,d=0,l=0,rez=0;

    cin >> n;
    cin >> x;

    for(int i=0; i<n; i++)
    {
        cin >> a;
        v.push_back(a);

        int k=i;

        if(v[k]<x)
        {
            l++;
        }
        else
        {
            d++;
        }

        while (k>0 && v[k]<v[k-1])
        {
            swap(v[k],v[k-1]);

            k--;
        }
    }

    if(l==0)
    {
        rez=v[n-1]-x;
    }
    else if(d==0)
    {
        rez=x-v[0];
    }
    else if(v[n-1]-x < x-v[0])
    {
        rez=(2*v[n-1])-x-v[0];
    }
    else if(v[n-1]-x >= x-v[0])
    {
        rez=x+v[n-1]-(2*v[0]);
    }

    cout << rez << endl;
    return 0;
}